# ContentService

The ContentService acts as a "gateway" to Umbraco data for operations which are related to Content.

[Browse the v13 API documentation for ContentService](https://apidocs.umbraco.com/v13/csharp/api/Umbraco.Cms.Core.Services.IContentService.html).

* **Namespace:** `Umbraco.Cms.Core.Services`
* **Assembly:** `Umbraco.Core.dll`

All samples in this document will require references to the following dll:

* Umbraco.Core.dll

All samples in this document will require the following using statements:

```csharp
using Umbraco.Cms.Core.Services;
```

For Razor views:

```csharp
@using Umbraco.Cms.Core.Services
```

## Getting the service

If you wish to use the content service in a class, you need to use Dependency Injection (DI) in your constructor:

```csharp
public class MyClass
{
    private IContentService _contentService;

    public MyClass(IContentService contentService)
    {
        _contentService = contentService;
    }
}
```

In Razor views, you can access the content service through the `@inject` directive:

```csharp
@inject IContentService ContentService
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-cms/13.latest/reference/management/services/contentservice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
